Summary:	Genealogical Research and Analysis Management Programming System
Name:		gramps
Version:	3.0.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Sciences/Other
Source0:	http://prdownloads.sourceforge.net/gramps/%{name}-%{version}.tar.gz
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://gramps.sourceforge.net
BuildArch: noarch
BuildRequires:	scrollkeeper >= 0.1.4 docbook-utils
BuildRequires:  gnome-python-gconf
BuildRequires:  gnome-python-canvas
BuildRequires:  gnome-python-gnomevfs
BuildRequires:  pygtk2.0-libglade
BuildRequires:  libpython-devel
BuildRequires:  libgnome-vfs2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-doc-utils libxslt-proc
BuildRequires:  intltool gnome-common
Requires:       gnome-python-gconf
Requires:	gnome-python-canvas
Requires:	gnome-python-gnomevfs
Requires:	gnome-python-gtkspell
Requires:	pygtk2.0-libglade
Requires:	shared-mime-info

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x --disable-mime-install --enable-packager-mode
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -fr $RPM_BUILD_ROOT/var

#menu
perl -pi -e 's,%{name}.png,%{name},g' $RPM_BUILD_ROOT%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Genealogy" \
  --add-category="Science" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_scrollkeeper
%update_mime_database
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_scrollkeeper
%{clean_menus}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-, root, root)

%doc README TODO
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%_datadir/mime/packages/%{name}.xml
%_datadir/icons/gnome/48x48/mimetypes/*
%_datadir/pixmaps/gramps.png
%_datadir/icons/gnome/scalable/mimetypes/*
%_datadir/application-registry/%{name}.applications
%_datadir/mime-info/*
%{_mandir}/man1/*
%lang(fr) %_mandir/fr/man1/gramps.1.*
%lang(nl) %_mandir/nl/man1/gramps.1.*
%lang(pl) %_mandir/pl/man1/gramps.1.*
%lang(sv) %_mandir/sv/man1/gramps.1.*
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Nov 28 2008 Götz Waschk <waschk@mandriva.org> 3.0.1-3mdv2009.0
+ Revision: 307465
- add missing dep on gnome-python-gtkspell

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0.1-2mdv2009.0
+ Revision: 266948
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 3.0.1-1mdv2009.0
+ Revision: 213893
- add missing files
- New version 3.0.1

* Tue Apr 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0.0-1mdv2009.0
+ Revision: 193495
- further adjust file list
- adjust file list
- disable --enable-packager-mode (which just remove schemas)
- new release
- new release
- kill dead sources
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Jérôme Soyer <saispo@mandriva.org> 2.2.9-1mdv2008.1
+ Revision: 101473
- New release 2.2.9

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 2.2.8-2mdv2008.0
+ Revision: 80865
- fd.o icons
- fix errors in the .desktop file
- use configure macro
- drop the bogus sed command which was changing the app version...
- use Fedora license policy

* Sun Jun 24 2007 Funda Wang <fundawang@mandriva.org> 2.2.8-1mdv2008.0
+ Revision: 43564
- New version


* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 2.2.6-1mdv2007.0
+ Revision: 122509
- New release 2.2.6

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 2.2.5-1mdv2007.1
+ Revision: 115010
- fix build with new gnome-doc-utils
- new version

* Fri Jan 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.2.4-1mdv2007.1
+ Revision: 104391
- New Version 2.2.4

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.1
+ Revision: 87350
- new version
- update file list

* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdv2007.1
+ Revision: 76106
- new version

* Tue Oct 31 2006 Götz Waschk <waschk@mandriva.org> 2.2.1-2mdv2007.1
+ Revision: 74767
- fix buildrequires
- Import gramps

* Mon Oct 30 2006 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2007.1
- New version 2.2.1

* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.11-3mdv2007.0
- Oops ! Moved desktop-file-utils from requires to buildrequires

* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.11-2mdv2007.0
- xdg menu
- gconf, mime and scrollkeeper macros
- fix Xvfb path

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 2.0.11-1mdk
- New release 2.0.11

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 2.0.10-1mdk
- New release 2.0.10

* Wed Dec 14 2005 Götz Waschk <waschk@mandriva.org> 2.0.9-1mdk
- New release 2.0.9
- use mkrel

* Fri Sep 09 2005 Götz Waschk <waschk@mandriva.org> 2.0.8-1mdk
- New release 2.0.8

* Wed Aug 17 2005 Götz Waschk <waschk@mandriva.org> 2.0.6-1mdk
- New release 2.0.6

* Fri Jul 08 2005 Gtz Waschk <waschk@mandriva.org> 2.0.5-1mdk
- New release 2.0.5

* Fri Jul 01 2005 Gtz Waschk <waschk@mandriva.org> 2.0.4-1mdk
- New release 2.0.4

* Mon Jun 06 2005 Gtz Waschk <waschk@mandriva.org> 2.0.3-1mdk
- New release 2.0.3

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdk
- replace patch by packager mode
- New release 2.0.1

* Fri May 13 2005 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- make the package noarch
- handle gconf stuff
- handle mime stuff
- add new files
- fix source URL
- new version

* Wed Mar 23 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.0.11-1mdk
- from Emmanuel Andry <eandry@free.fr> : 
	- New release 1.0.11

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.10-1mdk
- cosmetics
- fix summary-ended-with-dot
- from Emmanuel Andry <eandry@free.fr> :
	o New release 1.0.10

* Mon Nov 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.8-1mdk
- fix file list
- New release 1.0.8

* Wed Aug 18 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.7-1mdk
- New release 1.0.7

* Tue Aug 03 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- New release 1.0.5

* Fri Jun 18 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- New release 1.0.4

* Sat Apr 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- New release 1.0.3

* Tue Apr 06 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- new version

